# bulma-addons:
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-1-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

> Addons for Bulma CSS Framework.

> [Fluent Design Theme for Bulma](https://github.com/mubaidr/bulma-fluent) is also available.

> [Fluent Design Components for Vue.js](https://github.com/mubaidr/vue-fluent) are also available.

<a href="https://patreon.com/mubaidr">
  <img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" height="42">
</a>

[![NPM](https://nodei.co/npm/bulma-addons.png?compact=true)](https://nodei.co/npm/bulma-addons/)

![dependencies](https://david-dm.org/mubaidr/bulma-addons.svg)

## Demo

[mubaidr.github.io/bulma-addons](https://mubaidr.github.io/bulma-addons/)

## Quick install

### NPM

```sh
npm install bulma-addons
```

### Import

After installation, you can import the CSS/Sass file into your project using this snippet:

```js
import 'bulma-addons/css/bulma.css'
// or
import 'bulma-addons/bulma.sass'
```

### Import only required addons

You can import only the required addon from the package.

```js
import 'bulma-addons/src/sass/navigation-view.sass'
import 'bulma-addons/src/sass/checkbox.sass'
// or import css files
import 'bulma-addons/css/addons/navigation-view.css'
import 'bulma-addons/css/addons/checkbox.css'
```

Pre-built `css` addons are available in `css\addons` directory.

## CDN link

[unpkg.com/bulma-addons](https://unpkg.com/bulma-addons/css/)

## Download from this Repository

[Download Minified Builds](https://raw.githubusercontent.com/mubaidr/bulma-addons/master/css/)

## Copyright and license

Code copyright 2018 [Muhammad Ubaid Raza](https://mubaidr.github.io).

Code released under [the MIT license](https://github.com/jgthms/bulma/blob/master/LICENSE).

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="http://kevinisom.info"><img src="https://avatars0.githubusercontent.com/u/62547?v=4" width="100px;" alt=""/><br /><sub><b>Kevin Isom</b></sub></a><br /><a href="https://github.com/mubaidr/bulma-addons/commits?author=Kevnz" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!